# MovementAPI

Package org.firstinspires.ftc.teamcode

## Class MovementAPI

- java.lang.Object
- - org.firstinspires.ftc.teamcode.MovementAPI

    public class MovementAPI
    extends java.lang.Object

### Constructor Summary

Constructors
`MovementAPI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `init​(API.Motor _fl, API.Motor _fr, API.Motor _bl, API.Motor _br)` Initializes the API
`static void` `move​(double direction, double speed)`
`static void` `move​(double direction, double speed, boolean verbose)` Moves the robot given a direction and a speed
`static void` `move​(double power, double turn, double strafe, double speed)`
`static void` `move​(double powerY, double powerX, double turn, double speed, boolean verbose)` Moves the robot given the speed to move forward/back and left/right
`static void` `stop()` Stops the robot

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MovementAPI

    public MovementAPI()

### Method Detail

#### init

    public static void init​(API.Motor _fl,
                            API.Motor _fr,
                            API.Motor _bl,
                            API.Motor _br)

Initializes the API

Parameters:
  `_fl` - the front-left wheel
  `_fr` - the front-right wheel
  `_bl` - the back-left wheel
  `_br` - the back-right wheel

#### move

    public static void move​(double powerY,
                            double powerX,
                            double turn,
                            double speed,
                            boolean verbose)

Moves the robot given the speed to move forward/back and left/right

Parameters:
  `powerY` - the speed to move forward/back, -1 to 1, positive being forward
  `powerX` - the speed to move left/right, -1 to 1, positive being to the right
  `turn` - the speed to turn at, -1 to 1, positive being clockwise
  `speed` - the speed to move at
  `verbose` - whether or not to log extra data to telemetry

#### move

    public static void move​(double power,
                            double turn,
                            double strafe,
                            double speed)

See Also:
  `move(double, double, double, double, boolean)`

#### move

    public static void move​(double direction,
                            double speed,
                            boolean verbose)

Moves the robot given a direction and a speed

Parameters:
  `direction` - the direction to move in, in degrees, with positive being to the left
  `speed` - the speed to move at
  `verbose` - whether or not to log extra data to telemetry

#### move

    public static void move​(double direction,
                            double speed)

See Also:
  `move(double, double)`

#### stop

    public static void stop()

Stops the robot